Page MenuHomePhabricator

Enable full IPv6 support on Wikimedia wikis
Closed, ResolvedPublic

Description

This is a tracking bug for all blocker issues for a full IPv6 roll-out, ideally by IPv6 day (6 June 2012).

Categorized as "Site requests" as it may cover issues beyond MediaWiki support, but certainly includes MediaWiki software issues.


Version: unspecified
Severity: normal

Details

Reference
bz35540
Related Gerrit Patches:
operations/dns : masteradd AAAA record for ytterbium (gerrit)
operations/puppet : productionadd IPv6 for ytterbium (gerrit)
operations/dns : masteradd AAAA record for antimony
operations/puppet : productionadd IPv6 for antimony (git web)

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:20 AM
bzimport set Reference to bz35540.
bzimport added a subscriber: Unknown Object (MLST).

Clearly several additional schema changes are required. Where schema support exists in MediaWiki, but the production schema has not yet been updated, I suggest we track all required schema updates here:

http://wikitech.wikimedia.org/view/Schema_changes

afeldman wrote:

Have the required schema changes been finalized? I'd like to schedule the production work.

afeldman wrote:

All of the related schema changes (globalblock, recentchanges, and securepoll) are now complete.

There may be issues like non-MW software support (like for the current Squid/Varnish setup), but there will definitely be on-wiki issues that will require local admin education.

http://ipv6test.wmflabs.org/wiki/index.php/User_talk:D116:5D7B:D83F:980B:34D6:6EE7:1CAE:5FA9

The drop-down menu does not include "Block" (I have sysop on that wiki).

(In reply to comment #5)

http://ipv6test.wmflabs.org/wiki/index.php/User_talk:D116:5D7B:D83F:980B:34D6:6EE7:1CAE:5FA9
The drop-down menu does not include "Block" (I have sysop on that wiki).

Could you please file a new bug instead of commenting here?

Jasper added a comment.Jun 2 2012, 7:17 PM

Splitting it off, since it's not a blocker.

Change 214437 had a related patch set uploaded (by Dzahn):
add IPv6 for ytterbium (gerrit)

https://gerrit.wikimedia.org/r/214437

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 26 2015, 11:31 PM

Change 214504 had a related patch set uploaded (by Dzahn):
add AAAA record for antimony

https://gerrit.wikimedia.org/r/214504

Change 214506 had a related patch set uploaded (by Dzahn):
add AAAA record for argon (irc,rc streams)

https://gerrit.wikimedia.org/r/214506

Change 214507 had a related patch set uploaded (by Dzahn):
add AAAA record for ytterbium (gerrit)

https://gerrit.wikimedia.org/r/214507

Change 214434 had a related patch set uploaded (by Dzahn):
add IPv6 for argon (irc,mw-rc streams)

https://gerrit.wikimedia.org/r/214434

Change 214432 had a related patch set uploaded (by Dzahn):
add IPv6 for antimony (git web)

https://gerrit.wikimedia.org/r/214432

hashar removed a subscriber: hashar.Jun 27 2015, 8:04 PM

Change 214434 had a related patch set uploaded (by Dzahn):
add IPv6 for argon (irc,mw-rc streams)

https://gerrit.wikimedia.org/r/214434

Change 214432 merged by Dzahn:
add IPv6 for antimony (git web)

https://gerrit.wikimedia.org/r/214432

Change 214504 merged by Dzahn:
add AAAA record for antimony

https://gerrit.wikimedia.org/r/214504

Change 214437 merged by Dzahn:
add IPv6 for ytterbium (gerrit)

https://gerrit.wikimedia.org/r/214437

Change 214507 merged by Dzahn:
add AAAA record for ytterbium (gerrit)

https://gerrit.wikimedia.org/r/214507

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMar 4 2016, 6:38 PM
Phabricator_maintenance renamed this task from Enable full IPv6 support on Wikimedia wikis (tracking) to Enable full IPv6 support on Wikimedia wikis.Aug 13 2016, 9:30 PM